Katello - Feature #6180

Implement org destroy
06/12/2014 12:23 PM - David Davis

Status: Closed
Priority: Normal
Assignee: David Davis
Category: Orchestration
Target version: Katello 2.0
Difficulty: hard Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1100311 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/440
Description

In http://projects.theforeman.org/issues/6123, we disabled organization deletion because it wasn't implemented. We need to

implement it and then enable the Ul, API, and CLI.

In the code, I've used "ORG_DESTROY' in TODO to indicate places that need addressing.

Also, here are some bugs we need to make sure work when we reenable org destroy:

http://projects.theforeman.org/issues/5949
http://projects.theforeman.org/issues/6053
http://projects.theforeman.org/issues/6179

Related issues:

Related to Katello - Bug #5949: deleting org in Ul does not delete correspond...
Related to Katello - Bug #6179: Content Management fails if default organizat...

Related to Katello - Refactor #6189: Dynflowize activation key delete
Related to Katello - Bug #5104: undefined method “redhat?' for nil:NilClass
Has duplicate Katello - Bug #6053: Deleting Organization raises error

Blocked by Katello - Bug #5081: Product deletion does not handle repositories...

Blocked by Katello - Refactor #6187: Dynflowize environment delete
Blocked by Katello - Refactor #6185: Dynflowize product delete
Blocked by Katello - Refactor #6183: Dynflowize system unregister
Blocks Katello - Refactor #6297: Remove katello-jobs

Blocks Katello - Bug #6424: Make sure that orgs being deleted can't be used
Associated revisions

Revision 32e3268c¢ - 07/09/2014 08:54 AM - David Davis
Refs #6180,1100311 - Remove old organization destroyer code

Revision e19f8701 - 07/09/2014 10:03 AM - David Davis
Merge pull request #4407 from daviddavis/temp/20140709083624

Refs #6180,1100311 - Remove old organization destroyer code

Revision 373c4a48 - 07/11/2014 03:14 PM - David Davis
Refs #6180,BZ21100311 - Re-enable organization delete command

Revision 2706b5e7 - 07/14/2014 11:45 AM - David Davis
Fixes #6180,BZ1100311 - Implement organization destroy in dynflow

Revision 3a4b9380 - 07/15/2014 10:52 AM - David Davis
http://projects.theforeman.org/issues/6123
http://projects.theforeman.org/issues/5949
http://projects.theforeman.org/issues/6053
http://projects.theforeman.org/issues/6179

Refs #6180,BZ1100311 - Remove old del_owner method from owner

Revision 2fcc6873 - 07/15/2014 04:26 PM - David Davis
Merge pull request #4405 from daviddavis/org-destroy

Refs #6180,BZ1100311 - Implement organization destroy in dynflow

Revision 4b611401 - 07/16/2014 01:29 PM - David Davis
Merge pull request #204 from daviddavis/temp/20140711151419

Refs #6180,BZ21100311 - Re-enable organization delete command

History

#1 - 06/12/2014 12:24 PM - David Davis

- Tracker changed from Bug to Feature

#2 - 06/12/2014 12:27 PM - David Davis
- Blocked by Bug #5081: Product deletion does not handle repositories correctly added

#3 - 06/12/2014 12:30 PM - Eric Helms

- Related to Bug #5949: deleting org in Ul does not delete corresponding lifecycle environments causing rake katello:reindex to fail added

#4 - 06/12/2014 12:30 PM - Eric Helms
- Related to Bug #6053: Deleting Organization raises error added

#5 - 06/12/2014 12:31 PM - Eric Helms
- Related to Bug #6179: Content Management fails if default organization is deleted added

#7 - 06/12/2014 12:31 PM - Eric Helms
- Category set to Orchestration
- Difficulty set to hard
- Triaged changed from No to Yes
#8 - 06/12/2014 12:40 PM - David Davis
This task depends on a number of features that currently don't have redmine issues:
e Lifecycle destroy in dynflow
e System destroy in dynflow
e System group destroy in dynflow
e Activation key destroy in dynflow

| think these are being tracked here:

https://trello.com/c/NRIX7MjT/108-20-rewrite-the-rest-of-the-orchestration-into-dynflow-actions

#9 - 06/12/2014 12:56 PM - lvan Necas
- Related to Refactor #6189: Dynflowize activation key delete added

#10 - 06/12/2014 12:57 PM - Ivan Necas
- Blocked by Refactor #6187: Dynflowize environment delete added

#11 - 06/12/2014 12:57 PM - lvan Necas
- Blocked by Refactor #6185: Dynflowize product delete added

#12 - 06/12/2014 12:58 PM - lvan Necas
- Blocked by Refactor #6183: Dynflowize system unregister added

#13 - 06/12/2014 06:43 PM - Eric Helms
- Related to Bug #5104: undefined method “redhat?’ for nil:NilClass added
https://trello.com/c/NRIX7MjT/108-20-rewrite-the-rest-of-the-orchestration-into-dynflow-actions

#14 - 06/13/2014 02:50 PM - David Davis

For reference, here is the katello PR that disabled org destroy:

https://github.com/Katello/katello/pull/4233

And the katello cli PR:

https://github.com/Katello/hammer-cli-katello/pull/188

#15 - 06/20/2014 07:50 AM - Ivan Necas
- Blocks Refactor #6297: Remove katello-jobs added

#16 - 06/23/2014 07:35 PM - David Davis
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1100311

#17 - 06/23/2014 07:37 PM - David Davis
- Related to deleted (Bug #6053: Deleting Organization raises error)

#18 - 06/23/2014 07:37 PM - David Davis
- Has duplicate Bug #6053: Deleting Organization raises error added

#19 - 06/25/2014 06:16 PM - Eric Helms

- translation missing: en.field_release set to 13

#20 - 06/27/2014 06:54 PM - David Davis

- Blocks Bug #6424: Make sure that orgs being deleted can't be used added

#21 - 07/02/2014 03:39 PM - David Davis
- Status changed from New to Assigned

- Assignee set to David Davis

#22 - 07/07/2014 07:46 AM - Eric Helms

- Target version changed from 48 to 49

#23 - 07/11/2014 04:35 PM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/4405 added

#24 - 07/15/2014 05:01 PM - David Davis
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|2706b5e7ca75852d0e34d0d8ab27c16cc990d0ee.

#25 - 07/16/2014 09:21 AM - David Davis
- Status changed from Closed to Ready For Testing

#26 - 07/16/2014 01:30 PM - David Davis
- Status changed from Ready For Testing to Closed
